Bug 1371439 - After delete dc the linked page is empty in webconsole
Summary: After delete dc the linked page is empty in webconsole
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Jessica Forrester
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-30 08:38 UTC by DeShuai Ma
Modified: 2016-09-19 13:06 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-19 13:06:16 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1933 normal SHIPPED_LIVE Red Hat OpenShift Container Platform 3.3 Release Advisory 2016-09-27 13:24:36 UTC
Github openshift origin-web-console pull 499 None None None 2016-08-30 15:19:57 UTC
Github openshift origin pull 10722 None None None 2016-08-30 21:58:15 UTC

Description DeShuai Ma 2016-08-30 08:38:23 UTC
Description of problem:
In webconsole after delete a dc, still can click the dc's link then jump a page indicating dc is deleted ,in this page rcs are not listed.

Version-Release number of selected component (if applicable):
openshift v3.3.0.27
kubernetes v1.3.0+507d3a7
etcd 2.3.0+git

How reproducible:
Always

Steps to Reproduce:
1.Create a dc in web, triger some deployments and make sure the dc has rcs
2.Then delete the dc in web
3.In deployment list, click the dc name link

Actual results:
3.Jump to a page tip "errorThis deployment configuration can not be found, it may have been deleted.Any remaining deployment history for this deployment will be shown." and no any rc is listed.

Expected results:
3.Should show rc in the page.

Additional info:

Comment 1 Jessica Forrester 2016-08-30 21:57:56 UTC
merging to origin in https://github.com/openshift/origin/pull/10722

Comment 2 Troy Dawson 2016-08-31 20:35:53 UTC
This has been merged into ose and is in OSE v3.3.0.28 or newer.

Comment 4 Yanping Zhang 2016-09-01 05:24:39 UTC
OpenShift Master:    v3.3.0.28
Kubernetes Master:    v1.3.0+507d3a7 
After tested on OCP v3.3.0.28, rcs can be shown on deleted dc page now, the bug has been fixed, so move it to Verified.


Note You need to log in before you can comment on or make changes to this bug.